LCTL-NODEMAP_MODIFY(8)

NAME
lctl-nodemap_modify - modify a nodemap property

SYNOPSIS
lctl nodemap_modify <--name nodemap_name> <--property property_name> <--value value>

DESCRIPTION
nodemap_modify modifies a property of the given nodemap.

OPTIONS
nodemap_name is the name of the nodemap to modify property_name is one of the following properties:

    admin
        Defaults to 0. If set to 1, then root will NOT be squashed. By default, the root user is mapped to the value of squash_uid.

    trusted
        Defaults to 0. If set to 1, then user mapping will be disabled for all non-root users. This means that the identities provided by the client will be trusted to match the identities of the file system. By default, the client user identities are mapped to the file system identities based on the nodemap rules.

    squash_uid
        Defaults to 99. The user ID that unknown users (if not trusted) and root (if not admin) should be mapped to.

    squash_gid
        Defaults to 99. The group ID that unknown groups (if not trusted) and root (if not admin) should be mapped to.

    squash_projid
        Defaults to 99. The project ID that unknown projects (if not trusted) should be mapped to.

    deny_unknown
        Defaults to 0. If set to 1 then unknown (squashed) users will be denied access to the filesystem completely instead of just being squashed. Users are considered unknown by nodemap if the admin flag is off and the user is root, or trusted are set to off and the user is not mapped. Note: directory entries cached by a Lustre client may be visible to unknown users located on the same client, though the contents of the files will not be.

    audit_mode
        Defaults to 1, which lets clients record file system access events to the Changelogs, if Changelogs are otherwise activated. If set to 0, events from these clients are not logged into the Changelogs, no matter if Changelogs are activated or not. The reason not to record file system events from given clients is to prevent some nodes (e.g. backup, HSM agent nodes) from flooding the Changelogs.

    map_mode
        Defaults to all, which means the nodemap maps UIDs, GIDs, and PROJIDs. Other possible values (multiple can be specified, comma separated) are uid to map UIDs, gid to map GIDs, both to map UIDs and GIDs, and projid to map PROJIDs.

    forbid_encryption
        Defaults to 0, which means encryption is allowed. Set to 1 to prevent clients from using encryption.

    readonly_mount
        Defaults to 0, which lets clients mount in read-write mode. If set to 1, clients are forced to a read-only mount if not specified explicitly.

    rbac
        Defaults to all, which means all roles are allowed. Other possible values (multiple can be specified, comma separated) are:
        - byfid_ops, to allow operations by FID (e.g. 'lfs rmfid').
        - chlg_ops, to allow access to Lustre Changelogs.
        - dne_ops, to allow operations related to DNE (e.g. 'lfs mkdir').
        - file_perms, to allow modifications of file permissions and owners.
        - fscrypt_admin, to allow fscrypt related admin tasks (create or modify protectors/policies). Note that even without this role, it is still possible to lock or unlock encrypted directories, as these operations only need read access to fscrypt metadata.
        - quota_ops, to allow quota modifications.
        Apart from all, any role not explicitly specified is forbidden. And to forbid all roles, use 'none' value.
value is the value to set for the property. Should be 0 or 1 for admin and trusted.

EXAMPLES
# lctl nodemap_modify --name remotesite --property trusted --value 1
# lctl nodemap_modify --name remotesite --property admin --value 1
# lctl nodemap_modify --name remotesite --property map_mode --value uid_only
# lctl nodemap_modify --name otherremotesite --property squash_uid --value 101

AVAILABILITY
lctl is part of the Lustre(7) filesystem package.

SEE ALSO
lustre(7), lctl-nodemap-activate(8), lctl-nodemap-add(8), lctl-nodemap-del(8), lctl-nodemap-add-range(8), lctl-nodemap-del-range(8), lctl-nodemap-add-idmap(8), lctl-nodemap-del-idmap(8),